Bug 72156 - oggenc encoding options can be improved (better tags)
Summary: oggenc encoding options can be improved (better tags)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: grip   
(Show other bugs)
Version: null
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-21 16:34 UTC by Dax Kelson
Modified: 2014-03-17 02:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 16:34:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dax Kelson 2002-08-21 16:34:33 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
Description of problem: 
The default "MP3 command-line" for the OGG encoder doesn't set Genre, Date, or 
Tracknumber. 
 
Also, it uses a bitrate which isn't the normal way to encode with OGG, 
normally you specify a Quality, and it uses VBR. 
 
I would recommend replacing the default oggenc "MP3 command-line" with: 
 
-o %m -a %a -l %d -t %n -N %t -G %G -d %y -q 4 %w 
 
The "-q 4" gives 128kb-ish bitrate but with much higher quality then setting a 
fixed bitrate of 128kb. 
 
Also, the "traditional" way to specifying the "MP3 file format" is different 
the the stock. 
 
I would recommend: 
 
~/ogg/%A/%d/%t._-_%n.ogg 
 
This way the tracknumber is part of the filename.

Comment 1 Bill Nottingham 2002-08-22 05:24:42 UTC
default encoder options changed in 3.0.1-4; thanks!


Note You need to log in before you can comment on or make changes to this bug.